//  Persistence of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 77 lights, 26 materials and 317 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.2 For Windows Copyright (c) 1991-1999 Lutz + Kretzschmar
//

//  Date : 02/12/2000    (12.02.2000)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment


// Scene Includes

#include "C:\POV-Ray3.1\include\colors.inc"
#include "C:\POV-Ray3.1\include\skies.inc"
#include "D:\ray\solaris\sky.inc"

// End Scene Includes

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

fog {
  fog_type 2    // Ground Fog
  distance     750.0
  color <0.235294,0.364706,0.447059,0.0,0.0>
  turbulence   <10.0,0.0,0.0>
    omega      0.5
    lambda     2.0
    octaves    6
    turb_depth 0.0
  up           <0,0,1>
  fog_offset   0.0
  fog_alt      5.0
}

camera {  //  Camera Camera03
  location  <     50.418,    -128.776,     -27.583>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.39385,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         60.00000    // Vertical      45.000
  look_at   <     28.118,       5.746,     -24.737>
}

//
// *******  L I G H T S *******
//

#declare Light001 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  fade_distance  1.0
  fade_power 1.0
  translate  <45.740651, -115.686407, -1.604256>
}

#declare Spotlight019 = light_source {   // Spotlight Spotlight019
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    15.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  scale <1.915996, 2.492218, 0.976778>
  rotate <-26.168634, 57.564045, -108.273743>
  translate  <50.837513, -118.006428, 1.703848>
}

#declare Spotlight020 = light_source {   // Spotlight Spotlight020
  <0.0, 0.0, 0.0>
  color rgb <0.000, 0.000, 0.000>
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    15.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  scale <1.915996, 2.492218, 0.976778>
  rotate <-172.629578, -241.607071, -226.769913>
  translate  <35.843939, -106.227367, 2.724354>
}

light_source {   // Light1
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5713
  translate  <-142.429982, -272.797493, 436.747996>
}

#declare Spotlight038 = light_source {   // Spotlight Spotlight038
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light8 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Spotlight044 = light_source {   // Spotlight Spotlight044
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light9 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Spotlight050 = light_source {   // Spotlight Spotlight050
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light10 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Spotlight056 = light_source {   // Spotlight Spotlight056
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light11 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Spotlight062 = light_source {   // Spotlight Spotlight062
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light12 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Spotlight068 = light_source {   // Spotlight Spotlight068
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light13 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Light4 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Spotlight013 = light_source {   // Spotlight Spotlight013
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light2 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Light5 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Light3 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Spotlight074 = light_source {   // Spotlight Spotlight074
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light14 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Spotlight080 = light_source {   // Spotlight Spotlight080
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light15 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}

#declare Spotlight086 = light_source {   // Spotlight Spotlight086
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*1.0000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    29.000  // outer radius (in deg)
    radius     15.000  // inner radius
    tightness  0.000
  rotate <0.0, -19.409781, 64.8899>
  translate  <3.231626, 6.990383, 10.470048>
}

#declare Light16 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.2500
  translate  10.064267*z
}


//
// ********  MATERIALS  *******
//

#include "solaris.inc"


//
// ********  REFERENCED OBJECTS  *******
//











//
// ********  OBJECTS  *******
//

#declare RndCube005 = merge {
  sphere { <0.1000, 0.1000, 0.0000>, 0.4000 }
  sphere { <0.1000, -0.1000, 0.0000>, 0.4000 }
  sphere { <-0.1000, -0.1000, 0.0000>, 0.4000 }
  sphere { <-0.1000, 0.1000, 0.0000>, 0.4000 }
  cylinder { <0.1000, 0.1000, 0.0000>, <-0.1000, 0.1000, 0.0000>, 0.4000 }
  cylinder { <0.1000, -0.1000, 0.0000>, <-0.1000, -0.1000, 0.0000>, 0.4000 }
  cylinder { <0.1000, 0.1000, 0.0000>, <0.1000, -0.1000, 0.0000>, 0.4000 }
  cylinder { <-0.1000, 0.1000, 0.0000>, <-0.1000, -0.1000, 0.0000>, 0.4000 }
  box { <-0.1000, -0.1000, -0.4000> <0.1000, 0.1000, 0.4000> }
// Attributes returned success!
  material {
    orangetex
  }
  scale 1.74561
}
#declare CSG034 = difference {
  object { RndCube005 }
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 1.0, 1.0>
  }
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 0.2, 1.0>
  }
  material {
    Solarized
  }
  rotate <-71.117317, -245.148956, -260.730103>
  translate  <45.694819, -115.687306, -1.506781>
}
#declare goldenObject = union {
  object { Light001 }
  object { CSG034 }
  translate  <0.981618, -1.627688, 0.0>
}
#declare BezPtch013 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <2.504325, -0.780924, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.598809, 0.394338, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.193472, 1.277497, 0.938967>
    }
  }
  scale <1.398594, 2.323618, 1.600456>
  rotate <-10.87273, -179.783478, 33.192139>
  translate  <33.415408, -106.700864, -1.504051>
  material {
    blech
    // Transform to world space
    translate  28.799427*z
  }
}
#declare BezPtch014 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate <-5.828491, 13.633774, -12.056412>
  translate  <-45.01733, -106.663693, -2.354977>
  material {
    blech
    // Transform to world space
    translate  28.799427*z
  }
}
#declare BezPtch015 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <-0.596101, -0.518930, 0.938967>
    }
  }
  scale 0.534518
  rotate -51.22953*z
  translate  <45.712379, -119.173852, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  28.799427*z
  }
}
#declare CSG033 = difference {
  cylinder { // balkon3
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  <40.396058, -118.761135, -3.5>
    material {
      RustyFloor_1_1
      // Transform to world space
      translate  28.799427*z
    }
  }
  material {
    RustyFloor
  }
}
#include "D:\ray\solaris\vhead.inc"

#declare X0_Ref = object {
  X0
  rotate <90.0, 0.0, -90.0>
  translate  <0.18723, 0.0, 3.370133>
  material {
    haut_1
    // Transform to world space
    translate  <-52.5464, 116.370932, 4.500436>
    rotate 38.3736*z rotate 2.058394*y rotate 1.510741*x
    translate  28.799427*z
  }
}
#include "D:\ray\solaris\tongue.inc"

#declare X1_Ref = object {
  X0
  material {
    BELL
  }
  no_shadow
  scale 0.657349
  rotate <-0.260244, -1.528612, 83.261513>
  translate  <-2.570673, -0.01324, 3.784263>
}
#declare visitor2 = union {
  object { X0_Ref }
  sphere { // Sphere001
    <0,0,0>,1
    material {
      auge
    }
    scale 0.5
    translate  <-0.157855, 0.365651, 4.573023>
  }
  sphere { // Sphere002
    <0,0,0>,1
    material {
      auge
    }
    scale 0.5
    translate  <-0.162161, -0.621623, 4.577237>
  }
  object { X1_Ref }
  rotate <-1.510741, -2.058394, -38.3736>
  translate  <52.5464, -116.370932, -4.500436>
}
#declare HgtFld005 = object { 
  height_field {
    tga "D:\ray\solaris\P1.tga"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    blackMtxt
  }
  scale <5.672905, 5.672905, 0.228207>
  rotate <-180.0, -180.0, -180.0>
}
#declare goldenPlate = union {
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    material {
      bump_Gold
    }
    scale <5.774545, 5.792891, 0.16645>
  }
  object { HgtFld005 }
  scale <0.35, 0.35, 0.25>
  rotate 27.64782*z
  translate  <43.017653, -115.175628, -2.484195>
}
#declare RndCube007 = merge {
  sphere { <0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, 0.4000, -0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  box { <-0.4000, -0.4000, -0.5000> <0.4000, 0.4000, 0.5000> }
  box { <-0.4000, -0.5000, -0.4000> <0.4000, 0.5000, 0.4000> }
  box { <-0.5000, -0.4000, -0.4000> <0.5000, 0.4000, 0.4000> }
// Attributes returned success!
  scale <40.0, 8.0, 1.0>
  translate  <20.0, 0.0, 0.5>
  material {
    Rusty_Iron_1
    // Transform to world space
    translate  <-0.0, -0.0, -0.0>
    rotate -0.0*z rotate -0.0*y rotate 0.0*x
    rotate -23.125248*x
    translate  <-48.825026, 115.558588, 2.077851>
    rotate -38.398289*z rotate -0.0*y rotate -40.0*x
    scale 1.0/0.1
    translate  28.799427*z
  }
}
#declare RndDisc006 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 1.0000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.8000> translate 0.1000*z }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.9000*z bounded_by { box { <-1.0020, -1.0020, 0.7980>, <1.0020, 1.0020, 1.0020> } } }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-1.0020, -1.0020, -0.0020>, <1.0020, 1.0020, 0.2020> } } }
  scale <4.0, 4.0, 1.0>
  material {
    Rusty_Iron_1
    // Transform to world space
    translate  <-0.0, -0.0, -0.0>
    rotate -0.0*z rotate -0.0*y rotate 0.0*x
    rotate -23.125248*x
    translate  <-48.825026, 115.558588, 2.077851>
    rotate -38.398289*z rotate -0.0*y rotate -40.0*x
    scale 1.0/0.1
    translate  28.799427*z
  }
}
#declare CSG043 = difference {
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
  }
  box { // Cube019
    <-1, -1, -1>, <1, 1, 1>
    material {
      Brass_Valley_1_1
    }
    scale <1.0, 0.15, 0.07>
    translate  0.98*z
  }
  box { // Cube020
    <-1, -1, -1>, <1, 1, 1>
    material {
      Brass_Valley_1_1
    }
    scale <1.0, 0.15, 0.07>
    rotate -90.0*z
    translate  0.98*z
  }
  material {
    Brass_Valley_1
  }
  translate  0.5*z
}
#declare CSG044 = union {
  object { RndCube007 }
  object { RndDisc006 }
  object { CSG043 }
  rotate <-0.0, 0.0, 0.0>
  translate  <0.0, 0.0, 0.0>
}
#declare RndCube008 = merge {
  sphere { <0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, 0.4000, -0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  box { <-0.4000, -0.4000, -0.5000> <0.4000, 0.4000, 0.5000> }
  box { <-0.4000, -0.5000, -0.4000> <0.4000, 0.5000, 0.4000> }
  box { <-0.5000, -0.4000, -0.4000> <0.5000, 0.4000, 0.4000> }
// Attributes returned success!
  scale <40.0, 8.0, 1.0>
  translate  <20.0, 0.0, 0.5>
  material {
    Rusty_Iron_1
    // Transform to world space
    translate  <0.0, -35.999999, 0.0>
    rotate 90.0*z rotate 0.0*y rotate 0.0*x
    rotate -23.125248*x
    translate  <-48.825026, 115.558588, 2.077851>
    rotate -38.398289*z rotate -0.0*y rotate -40.0*x
    scale 1.0/0.1
    translate  28.799427*z
  }
}
#declare RndDisc007 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 1.0000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.8000> translate 0.1000*z }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.9000*z bounded_by { box { <-1.0020, -1.0020, 0.7980>, <1.0020, 1.0020, 1.0020> } } }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-1.0020, -1.0020, -0.0020>, <1.0020, 1.0020, 0.2020> } } }
  scale <4.0, 4.0, 1.0>
  material {
    Rusty_Iron_1
    // Transform to world space
    translate  <0.0, -35.999999, 0.0>
    rotate 90.0*z rotate 0.0*y rotate 0.0*x
    rotate -23.125248*x
    translate  <-48.825026, 115.558588, 2.077851>
    rotate -38.398289*z rotate -0.0*y rotate -40.0*x
    scale 1.0/0.1
    translate  28.799427*z
  }
}
#declare CSG045 = difference {
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
  }
  box { // Cube021
    <-1, -1, -1>, <1, 1, 1>
    material {
      Brass_Valley_1_1
    }
    scale <1.0, 0.15, 0.07>
    translate  0.98*z
  }
  box { // Cube022
    <-1, -1, -1>, <1, 1, 1>
    material {
      Brass_Valley_1_1
    }
    scale <1.0, 0.15, 0.07>
    rotate -90.0*z
    translate  0.98*z
  }
  material {
    Brass_Valley_1
  }
  translate  0.5*z
}
#declare CSG046 = union {
  object { RndCube008 }
  object { RndDisc007 }
  object { CSG045 }
  rotate <-0.0, -0.0, -90.0>
  translate  <-0.0, 35.999999, -0.0>
}
#declare RndCube009 = merge {
  sphere { <0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, 0.4000, -0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  box { <-0.4000, -0.4000, -0.5000> <0.4000, 0.4000, 0.5000> }
  box { <-0.4000, -0.5000, -0.4000> <0.4000, 0.5000, 0.4000> }
  box { <-0.5000, -0.4000, -0.4000> <0.5000, 0.4000, 0.4000> }
// Attributes returned success!
  scale <40.0, 8.0, 1.0>
  translate  <20.0, 0.0, 0.5>
  material {
    Rusty_Iron_1
    // Transform to world space
    translate  <-35.999999, -0.0, 0.0>
    rotate -90.0*z rotate -0.0*y rotate -0.0*x
    rotate -23.125248*x
    translate  <-48.825026, 115.558588, 2.077851>
    rotate -38.398289*z rotate -0.0*y rotate -40.0*x
    scale 1.0/0.1
    translate  28.799427*z
  }
}
#declare RndDisc008 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 1.0000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.8000> translate 0.1000*z }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.9000*z bounded_by { box { <-1.0020, -1.0020, 0.7980>, <1.0020, 1.0020, 1.0020> } } }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-1.0020, -1.0020, -0.0020>, <1.0020, 1.0020, 0.2020> } } }
  scale <4.0, 4.0, 1.0>
  material {
    Rusty_Iron_1
    // Transform to world space
    translate  <-35.999999, -0.0, 0.0>
    rotate -90.0*z rotate -0.0*y rotate -0.0*x
    rotate -23.125248*x
    translate  <-48.825026, 115.558588, 2.077851>
    rotate -38.398289*z rotate -0.0*y rotate -40.0*x
    scale 1.0/0.1
    translate  28.799427*z
  }
}
#declare CSG047 = difference {
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
  }
  box { // Cube023
    <-1, -1, -1>, <1, 1, 1>
    material {
      Brass_Valley_1_1
    }
    scale <1.0, 0.15, 0.07>
    translate  0.98*z
  }
  box { // Cube024
    <-1, -1, -1>, <1, 1, 1>
    material {
      Brass_Valley_1_1
    }
    scale <1.0, 0.15, 0.07>
    rotate -90.0*z
    translate  0.98*z
  }
  material {
    Brass_Valley_1
  }
  translate  0.5*z
}
#declare CSG048 = union {
  object { RndCube009 }
  object { RndDisc008 }
  object { CSG047 }
  rotate <0.0, 0.0, 90.0>
  translate  <35.999999, 0.0, -0.0>
}
#declare RndCube010 = merge {
  sphere { <0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, 0.4000, -0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  box { <-0.4000, -0.4000, -0.5000> <0.4000, 0.4000, 0.5000> }
  box { <-0.4000, -0.5000, -0.4000> <0.4000, 0.5000, 0.4000> }
  box { <-0.5000, -0.4000, -0.4000> <0.5000, 0.4000, 0.4000> }
// Attributes returned success!
  scale <40.0, 8.0, 1.0>
  translate  <20.0, 0.0, 0.5>
  material {
    Rusty_Iron_1
    // Transform to world space
    translate  <-35.999999, -36.0, 0.0>
    rotate 180.0*z rotate 0.0*y rotate -0.0*x
    rotate -23.125248*x
    translate  <-48.825026, 115.558588, 2.077851>
    rotate -38.398289*z rotate -0.0*y rotate -40.0*x
    scale 1.0/0.1
    translate  28.799427*z
  }
}
#declare RndDisc009 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 1.0000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.8000> translate 0.1000*z }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.9000*z bounded_by { box { <-1.0020, -1.0020, 0.7980>, <1.0020, 1.0020, 1.0020> } } }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-1.0020, -1.0020, -0.0020>, <1.0020, 1.0020, 0.2020> } } }
  scale <4.0, 4.0, 1.0>
  material {
    Rusty_Iron_1
    // Transform to world space
    translate  <-35.999999, -36.0, 0.0>
    rotate 180.0*z rotate 0.0*y rotate -0.0*x
    rotate -23.125248*x
    translate  <-48.825026, 115.558588, 2.077851>
    rotate -38.398289*z rotate -0.0*y rotate -40.0*x
    scale 1.0/0.1
    translate  28.799427*z
  }
}
#declare CSG049 = difference {
  cylinder { // Cylndr004
    <0,0,1>, <0,0,0>, 1 
  }
  box { // Cube025
    <-1, -1, -1>, <1, 1, 1>
    material {
      Brass_Valley_1_1
    }
    scale <1.0, 0.15, 0.07>
    translate  0.98*z
  }
  box { // Cube026
    <-1, -1, -1>, <1, 1, 1>
    material {
      Brass_Valley_1_1
    }
    scale <1.0, 0.15, 0.07>
    rotate -90.0*z
    translate  0.98*z
  }
  material {
    Brass_Valley_1
  }
  translate  0.5*z
}
#declare CSG050 = union {
  object { RndCube010 }
  object { RndDisc009 }
  object { CSG049 }
  rotate <0.0, -0.0, -180.0>
  translate  <35.999999, 36.0, -0.0>
}
#declare Group002 = union {
  box { // Cube018
    <-1, -1, -1>, <1, 1, 1>
    material {
      lis
    }
    scale <16.0, 16.0, 0.05>
    rotate <-0.0, 0.0, 0.0>
    translate  <18.0, 18.0, 0.05>
  }
  object { CSG044 }
  object { CSG046 }
  object { CSG048 }
  object { CSG050 }
  rotate 23.125248*x
}
#declare RndDisc010 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 1.0000> }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.3500, 0.3500, 1.0200> translate -0.0100*z }
  }
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.8000> translate 0.1000*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.2500, 0.2500, 1.0200> translate -0.0900*z }
  }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.9000*z bounded_by { box { <-1.0020, -1.0020, 0.7980>, <1.0020, 1.0020, 1.0020> } } }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-1.0020, -1.0020, -0.0020>, <1.0020, 1.0020, 0.2020> } } }
  torus { 0.3500, 0.1000  rotate -x*90 translate  0.9000*z bounded_by { box { <-0.4520, -0.4520, 0.7980>, <0.4520, 0.4520, 1.0020> } } }
  torus { 0.3500, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.3520, -0.3520, -0.0020>, <0.3520, 0.3520, 0.1020> } } }
  material {
    ki_Gold
  }
  scale <7.0, 7.0, 1.0>
  rotate -40.291187*x
  translate  <18.391035, -11.111234, 6.208016>
}
#declare Group001 = union {
  sphere { // Sphere003
    <0,0,0>,1
    material {
      BELL
    }
    scale 2.830269
    rotate -40.291187*x
    translate  <17.960818, -11.179575, 6.127405>
  }
  object { RndDisc010 }
  box { // Cube027
    <-1, -1, -1>, <1, 1, 1>
    material {
      Rusty_Iron_1
    }
    scale <21.371008, 18.21307, 1.0>
    rotate -40.291187*x
    translate  <17.869305, -3.673577, -0.565454>
  }
  material {
    Rusty_Iron_1
  }
}
#declare remember = union {
  object { Group002 }
  object { Group001 }
  scale 0.1
  rotate <40.0, 0.0, 38.398289>
  translate  <48.825026, -115.558588, -2.077851>
}
#declare RndDisc005 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.9000, 0.9000, 1.0000> }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.6000, 0.6000, 1.0200> translate -0.0100*z }
  }
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.8000> translate 0.1000*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.5000, 0.5000, 1.0200> translate -0.0900*z }
  }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.9000*z bounded_by { box { <-1.0020, -1.0020, 0.7980>, <1.0020, 1.0020, 1.0020> } } }
  torus { 0.9000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-1.0020, -1.0020, -0.0020>, <1.0020, 1.0020, 0.2020> } } }
  torus { 0.6000, 0.1000  rotate -x*90 translate  0.9000*z bounded_by { box { <-0.7020, -0.7020, 0.7980>, <0.7020, 0.7020, 1.0020> } } }
  torus { 0.6000, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.6020, -0.6020, -0.0020>, <0.6020, 0.6020, 0.1020> } } }
  material {
    Peel
  }
  scale <1.647796, 1.647796, 0.078817>
  rotate <51.568798, -0.0, 0.0>
  translate  <36.538543, -109.658581, -1.208611>
}
#declare RndCube006 = merge {
  sphere { <0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, 0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, 0.4000>, 0.1000 }
  sphere { <0.4000, 0.4000, -0.4000>, 0.1000 }
  sphere { <0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, -0.4000, -0.4000>, 0.1000 }
  sphere { <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, -0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, -0.4000, -0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, -0.4000, -0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, 0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, 0.4000>, <0.4000, -0.4000, 0.4000>, 0.1000 }
  cylinder { <0.4000, 0.4000, -0.4000>, <0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, -0.4000>, <-0.4000, -0.4000, -0.4000>, 0.1000 }
  cylinder { <-0.4000, 0.4000, 0.4000>, <-0.4000, -0.4000, 0.4000>, 0.1000 }
  box { <-0.4000, -0.4000, -0.5000> <0.4000, 0.4000, 0.5000> }
  box { <-0.4000, -0.5000, -0.4000> <0.4000, 0.5000, 0.4000> }
  box { <-0.5000, -0.4000, -0.4000> <0.5000, 0.4000, 0.4000> }
// Attributes returned success!
  material {
    S_Glass
  }
  scale 3.281248
  translate  <36.5, -107.0, -0.840056>
}
#declare round = union {
  object { RndDisc005 }
  object { RndCube006 }
  translate  <4.351733, -0.094127, 0.0>
}
#declare HgtFld007 = object { 
  height_field {
    tga "D:\ray\solaris\hf2.tga"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <2.308176, 2.35252, 3.416799>
  rotate -180.0*x
  translate  <34.416772, -102.332584, 2.722347>
}
#declare vertical = difference {
  box { // Cube028
    <-1, -1, -1>, <1, 1, 1>
    material {
      RustyPlane
    }
    scale <1.037248, 0.550576, 3.986291>
    rotate 25.067287*z
    translate  <33.605662, -102.913299, 0.604995>
  }
  object { HgtFld007 }
  material {
    RustySphere
  }
}
#declare HgtFld008 = object { 
  height_field {
    tga "D:\ray\solaris\hf2.tga"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <2.431036, 2.966825, 2.264594>
  rotate -180.0*x
  translate  <34.416772, -103.438332, 1.750057>
}
#declare vertical1 = difference {
  box { // Cube029
    <-1, -1, -1>, <1, 1, 1>
    material {
      RustyPlane
    }
    scale <1.037248, 0.550576, 3.986291>
    rotate -58.168018*z
    translate  <33.605662, -102.913299, 0.604995>
  }
  object { HgtFld008 }
  material {
    RustyFloor
  }
  scale <1.0, 1.0, 0.752331>
  translate  <22.237827, -6.63449, -0.86684>
}
union { // stage
  object { goldenObject }
  object { BezPtch013 }
  object { BezPtch014 }
  object { BezPtch015 }
  object { CSG033 }
  object { Spotlight019 }
  object { visitor2 }
  object { goldenPlate }
  object { remember }
  cylinder { // Cylndr005
    <0,0,1>, <0,0,0>, 1 
    material {
      spiral_1
    }
    scale <0.817593, 0.817593, 0.013627>
    rotate <64.853989, 90.0, 0.0>
    translate  <33.894017, -103.424056, 0.392698>
  }
  object { round }
  object { vertical }
  object { vertical1 }
  object { Spotlight020 }
  translate  -28.799427*z
}


plane { // Plane001
  z,0
  translate  -113.0*z
  material {
    Pacific
    // Transform to world space
  }
}




#declare huelle8 = difference {
  sphere { // huelleAussen14
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen14
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  material {
    RustyFloor
  }
  scale 0.5
}
#declare Staender2 = union {
  object { huelle8 }
  cylinder { // uRuhr2
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <3.0, 3.0, 120.0>
    translate  -120.059387*z
  }
  cylinder { // lRohr6
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-122.110466, -9.999725, 38.103271>
    translate  <12.5, -21.650635, 15.0>
  }
  cylinder { // lRohr7
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-128.628632, 33.906128, 123.960754>
    translate  <12.5, 21.650635, 15.0>
  }
  cylinder { // lRohr8
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-180.0, 58.603104, 180.0>
    translate  <-25.0, -0.0, 15.0>
  }
  rotate -90.0*z
  translate  -15.0*z
}
#declare huelle9 = difference {
  sphere { // huelleAussen15
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen15
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch12
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    RustySphere
  }
}
#declare CSG021 = difference {
  sphere { // huelleAussen16
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen16
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer6 = intersection {
  object { CSG021 }
  cylinder { // durchbruch13
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG022 = difference {
  cylinder { // balkon7
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <25.447693, 13.862802, -7.04606>
      rotate -90.0*z
      translate  <379.706499, -821.05845, 0.022422>
    }
  }
  cylinder { // poolDiff6
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <25.447693, 13.862802, -7.04606>
      rotate -90.0*z
      translate  <379.706499, -821.05845, 0.022422>
    }
  }
}
#declare boden6 = union {
  object { CSG022 }
  cylinder { // poolBoden6
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare IronSphere4 = union {
  object { huelle9 }
  object { Spotlight038 }
  object { Light8 }
  object { tuer6 }
  object { boden6 }
  object { // Spotlight039->Spotlight038
    Spotlight038
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight040->Spotlight038
    Spotlight038
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight041->Spotlight038
    Spotlight038
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight042->Spotlight038
    Spotlight038
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight043->Spotlight038
    Spotlight038
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  rotate 90.0*z
  translate  <-25.447693, -13.862802, 7.04606>
}
#declare HgtFld003 = object { 
  height_field {
    tga "D:\ray\solaris\hf2.tga"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <10.524221, 10.058585, 8.435684>
  rotate <-10.982332, -88.808105, 73.768188>
  translate  <10.381238, 2.648022, 6.489938>
}
#declare huelle10 = difference {
  sphere { // huelleAussen17
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen17
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch14
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  object { HgtFld003 }
  material {
    RustySphere
    // Transform to world space
    translate  <-22.891419, 15.937612, -8.040068>
    rotate 140.844803*z
    translate  <379.706499, -821.05845, 0.022422>
  }
}
#declare CSG023 = difference {
  sphere { // huelleAussen18
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen18
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer7 = intersection {
  object { CSG023 }
  cylinder { // durchbruch15
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG024 = difference {
  cylinder { // balkon8
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-22.891419, 15.937612, -8.040068>
      rotate 140.844803*z
      translate  <379.706499, -821.05845, 0.022422>
    }
  }
  cylinder { // poolDiff7
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-22.891419, 15.937612, -8.040068>
      rotate 140.844803*z
      translate  <379.706499, -821.05845, 0.022422>
    }
  }
}
#declare boden7 = union {
  object { CSG024 }
  cylinder { // poolBoden7
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare BezPtch007 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate -32.993221*z
  translate  <9.140972, 12.711507, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.891419, 15.937612, -8.040068>
    rotate 140.844803*z
    translate  <379.706499, -821.05845, 0.022422>
  }
}
#declare BezPtch008 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate <-5.828491, 13.633774, -12.056412>
  translate  <8.642027, 4.445473, -2.29008>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.891419, 15.937612, -8.040068>
    rotate 140.844803*z
    translate  <379.706499, -821.05845, 0.022422>
  }
}
#declare BezPtch009 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <-0.596101, -0.518930, 0.938967>
    }
  }
  scale 0.534518
  rotate -51.22953*z
  translate  <12.536632, 10.120994, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.891419, 15.937612, -8.040068>
    rotate 140.844803*z
    translate  <379.706499, -821.05845, 0.022422>
  }
}
#declare brokenSphere2 = union {
  object { huelle10 }
  object { Spotlight044 }
  object { Light9 }
  object { tuer7 }
  object { boden7 }
  object { // Spotlight045->Spotlight044
    Spotlight044
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight046->Spotlight044
    Spotlight044
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight047->Spotlight044
    Spotlight044
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight048->Spotlight044
    Spotlight044
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight049->Spotlight044
    Spotlight044
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  object { BezPtch007 }
  object { BezPtch008 }
  object { BezPtch009 }
  rotate -140.844803*z
  translate  <22.891419, -15.937612, 8.040068>
}
#declare huelle11 = difference {
  sphere { // huelleAussen19
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen19
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch16
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    RustySphere
  }
}
#declare CSG025 = difference {
  sphere { // huelleAussen20
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen20
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer8 = intersection {
  object { CSG025 }
  cylinder { // durchbruch17
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG026 = difference {
  cylinder { // balkon9
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <1.0, -31.711402, -7.669728>
      rotate 90.0*z
      translate  <379.706499, -821.05845, 0.022422>
    }
  }
  cylinder { // poolDiff8
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <1.0, -31.711402, -7.669728>
      rotate 90.0*z
      translate  <379.706499, -821.05845, 0.022422>
    }
  }
}
#declare boden8 = union {
  object { CSG026 }
  cylinder { // poolBoden8
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare IronSphere5 = union {
  object { huelle11 }
  object { Spotlight050 }
  object { Light10 }
  object { tuer8 }
  object { boden8 }
  object { // Spotlight051->Spotlight050
    Spotlight050
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight052->Spotlight050
    Spotlight050
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight053->Spotlight050
    Spotlight050
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight054->Spotlight050
    Spotlight050
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight055->Spotlight050
    Spotlight050
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  rotate -90.0*z
  translate  <-1.0, 31.711402, 7.669728>
}
union { // station2
  object { Staender2 }
  object { IronSphere4 }
  object { brokenSphere2 }
  object { IronSphere5 }
  translate  <-379.706499, 821.05845, -0.022422>
}


#declare huelle12 = difference {
  sphere { // huelleAussen21
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen21
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  material {
    RustyFloor
  }
  scale 0.5
}
#declare Staender3 = union {
  object { huelle12 }
  cylinder { // uRuhr3
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <3.0, 3.0, 120.0>
    translate  -120.059387*z
  }
  cylinder { // lRohr9
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-122.110466, -9.999725, 38.103271>
    translate  <12.5, -21.650635, 15.0>
  }
  cylinder { // lRohr10
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-128.628632, 33.906128, 123.960754>
    translate  <12.5, 21.650635, 15.0>
  }
  cylinder { // lRohr11
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-180.0, 58.603104, 180.0>
    translate  <-25.0, -0.0, 15.0>
  }
  rotate -90.0*z
  translate  -15.0*z
}
#declare huelle13 = difference {
  sphere { // huelleAussen22
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen22
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch18
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    RustySphere
  }
}
#declare CSG027 = difference {
  sphere { // huelleAussen23
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen23
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer9 = intersection {
  object { CSG027 }
  cylinder { // durchbruch19
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG028 = difference {
  cylinder { // balkon10
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <25.447693, 13.862802, -7.04606>
      rotate -90.0*z
      translate  <-172.222188, -1163.470061, 0.0>
    }
  }
  cylinder { // poolDiff9
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <25.447693, 13.862802, -7.04606>
      rotate -90.0*z
      translate  <-172.222188, -1163.470061, 0.0>
    }
  }
}
#declare boden9 = union {
  object { CSG028 }
  cylinder { // poolBoden9
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare IronSphere6 = union {
  object { huelle13 }
  object { Spotlight056 }
  object { Light11 }
  object { tuer9 }
  object { boden9 }
  object { // Spotlight057->Spotlight056
    Spotlight056
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight058->Spotlight056
    Spotlight056
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight059->Spotlight056
    Spotlight056
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight060->Spotlight056
    Spotlight056
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight061->Spotlight056
    Spotlight056
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  rotate 90.0*z
  translate  <-25.447693, -13.862802, 7.04606>
}
#declare HgtFld004 = object { 
  height_field {
    tga "D:\ray\solaris\hf2.tga"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <10.524221, 10.058585, 8.435684>
  rotate <-10.982332, -88.808105, 73.768188>
  translate  <10.381238, 2.648022, 6.489938>
}
#declare huelle14 = difference {
  sphere { // huelleAussen24
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen24
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch20
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  object { HgtFld004 }
  material {
    RustySphere
    // Transform to world space
    translate  <-21.544354, 12.435243, -8.040068>
    rotate 140.844803*z
    translate  <-172.222188, -1163.470061, 0.0>
  }
}
#declare CSG029 = difference {
  sphere { // huelleAussen25
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen25
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer10 = intersection {
  object { CSG029 }
  cylinder { // durchbruch21
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG030 = difference {
  cylinder { // balkon11
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-21.544354, 12.435243, -8.040068>
      rotate 140.844803*z
      translate  <-172.222188, -1163.470061, 0.0>
    }
  }
  cylinder { // poolDiff10
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-21.544354, 12.435243, -8.040068>
      rotate 140.844803*z
      translate  <-172.222188, -1163.470061, 0.0>
    }
  }
}
#declare boden10 = union {
  object { CSG030 }
  cylinder { // poolBoden10
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare BezPtch010 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate -32.993221*z
  translate  <9.140972, 12.711507, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-21.544354, 12.435243, -8.040068>
    rotate 140.844803*z
    translate  <-172.222188, -1163.470061, 0.0>
  }
}
#declare BezPtch011 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate <-5.828491, 13.633774, -12.056412>
  translate  <8.642027, 4.445473, -2.29008>
  material {
    RustyPlane
    // Transform to world space
    translate  <-21.544354, 12.435243, -8.040068>
    rotate 140.844803*z
    translate  <-172.222188, -1163.470061, 0.0>
  }
}
#declare BezPtch012 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <-0.596101, -0.518930, 0.938967>
    }
  }
  scale 0.534518
  rotate -51.22953*z
  translate  <12.536632, 10.120994, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-21.544354, 12.435243, -8.040068>
    rotate 140.844803*z
    translate  <-172.222188, -1163.470061, 0.0>
  }
}
#declare brokenSphere3 = union {
  object { huelle14 }
  object { Spotlight062 }
  object { Light12 }
  object { tuer10 }
  object { boden10 }
  object { // Spotlight063->Spotlight062
    Spotlight062
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight064->Spotlight062
    Spotlight062
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight065->Spotlight062
    Spotlight062
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight066->Spotlight062
    Spotlight062
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight067->Spotlight062
    Spotlight062
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  object { BezPtch010 }
  object { BezPtch011 }
  object { BezPtch012 }
  rotate -140.844803*z
  translate  <21.544354, -12.435243, 8.040068>
}
#declare huelle15 = difference {
  sphere { // huelleAussen26
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen26
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch22
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    RustySphere
  }
}
#declare CSG031 = difference {
  sphere { // huelleAussen27
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen27
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer11 = intersection {
  object { CSG031 }
  cylinder { // durchbruch23
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG032 = difference {
  cylinder { // balkon12
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <1.0, -31.711402, -7.669728>
      rotate 90.0*z
      translate  <-172.222188, -1163.470061, 0.0>
    }
  }
  cylinder { // poolDiff11
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <1.0, -31.711402, -7.669728>
      rotate 90.0*z
      translate  <-172.222188, -1163.470061, 0.0>
    }
  }
}
#declare boden11 = union {
  object { CSG032 }
  cylinder { // poolBoden11
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare IronSphere7 = union {
  object { huelle15 }
  object { Spotlight068 }
  object { Light13 }
  object { tuer11 }
  object { boden11 }
  object { // Spotlight069->Spotlight068
    Spotlight068
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight070->Spotlight068
    Spotlight068
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight071->Spotlight068
    Spotlight068
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight072->Spotlight068
    Spotlight068
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight073->Spotlight068
    Spotlight068
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  rotate -90.0*z
  translate  <-1.0, 31.711402, 7.669728>
}
union { // station3
  object { Staender3 }
  object { IronSphere6 }
  object { brokenSphere3 }
  object { IronSphere7 }
  translate  <172.222188, 1163.470061, 0.0>
}


#declare huelle = difference {
  sphere { // huelleAussen
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  material {
    RustyFloor
  }
  scale 0.5
}
#declare Staender = union {
  object { huelle }
  cylinder { // uRuhr
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <3.0, 3.0, 120.0>
    translate  -120.059387*z
  }
  cylinder { // lRohr2
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-122.110466, -9.999725, 38.103271>
    translate  <12.5, -21.650635, 15.0>
  }
  cylinder { // lRohr1
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-128.628632, 33.906128, 123.960754>
    translate  <12.5, 21.650635, 15.0>
  }
  cylinder { // lRohr
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-180.0, 58.603104, 180.0>
    translate  <-25.0, -0.0, 15.0>
  }
  rotate -90.0*z
  translate  -15.0*z
}
#declare CSG003 = difference {
  cylinder { // balkon
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-0.206051, -27.006401, -7.67>
      rotate -90.0*z
      translate  <-20.120725, 1.446098, 1.191108>
    }
  }
  cylinder { // poolDiff
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-0.206051, -27.006401, -7.67>
      rotate -90.0*z
      translate  <-20.120725, 1.446098, 1.191108>
    }
  }
}
#declare boden = union {
  object { CSG003 }
  cylinder { // poolBoden
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare huelle1 = difference {
  sphere { // huelleAussen1
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen1
    <0,0,0>,1
    scale <14.7, 14.7, 9.7>
    translate  2.0*z
  }
  rotate 0.0*x
  translate  <0.0, 0.0, 0.0>
}
#declare CSG002 = union {
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 180.0>
    translate  9.0*z
  }
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 150.0>
    translate  9.0*z
  }
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 120.0>
    translate  9.0*z
  }
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 90.0>
    translate  9.0*z
  }
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 60.0>
    translate  9.0*z
  }
  box { // Cube009
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 30.0>
    translate  9.0*z
  }
  rotate 0.0*x
}
#declare CSG004 = intersection {
  object { huelle1 }
  object { CSG002 }
  material {
    RustySphere
  }
  rotate <-0.0, 0.0, -90.0>
}
#declare huelle16 = intersection {
  sphere { // huelleAussen2
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen2
    <0,0,0>,1
    scale <14.7, 14.7, 9.7>
    translate  2.0*z
  }
  box { // Cube010
    <-1, -1, -1>, <1, 1, 1>
    scale 16.0
    rotate -0.0*x
    translate  -18.760778*z
  }
  material {
    RustySphere
  }
  rotate <0.0, 0.0, -90.0>
}
#declare SkeletonSphere = union {
  object { Light4 }
  object { boden }
  object { CSG004 }
  object { huelle16 }
  rotate 90.0*z
  translate  <0.206051, 27.006401, 7.67>
}
#declare HgtFld001 = object { 
  height_field {
    tga "D:\ray\solaris\hf2.tga"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <10.524221, 10.058585, 8.435684>
  rotate <-10.982332, -88.808105, 73.768188>
  translate  <10.381238, 2.648022, 6.489938>
}
#declare huelle3 = difference {
  sphere { // huelleAussen5
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen5
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch4
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  object { HgtFld001 }
  material {
    RustySphere
    // Transform to world space
    translate  <-22.740226, 13.152516, -8.040068>
    rotate 140.844803*z
    translate  <-20.120725, 1.446098, 1.191108>
  }
}
#declare CSG006 = difference {
  sphere { // huelleAussen6
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen6
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer2 = intersection {
  object { CSG006 }
  cylinder { // durchbruch5
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG007 = difference {
  cylinder { // balkon2
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-22.740226, 13.152516, -8.040068>
      rotate 140.844803*z
      translate  <-20.120725, 1.446098, 1.191108>
    }
  }
  cylinder { // poolDiff2
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-22.740226, 13.152516, -8.040068>
      rotate 140.844803*z
      translate  <-20.120725, 1.446098, 1.191108>
    }
  }
}
#declare boden2 = union {
  object { CSG007 }
  cylinder { // poolBoden2
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare BezPtch001 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate -32.993221*z
  translate  <9.140972, 12.711507, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.740226, 13.152516, -8.040068>
    rotate 140.844803*z
    translate  <-20.120725, 1.446098, 1.191108>
  }
}
#declare BezPtch002 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate <-5.828491, 13.633774, -12.056412>
  translate  <8.642027, 4.445473, -2.29008>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.740226, 13.152516, -8.040068>
    rotate 140.844803*z
    translate  <-20.120725, 1.446098, 1.191108>
  }
}
#declare BezPtch003 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <-0.596101, -0.518930, 0.938967>
    }
  }
  scale 0.534518
  rotate -51.22953*z
  translate  <12.536632, 10.120994, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.740226, 13.152516, -8.040068>
    rotate 140.844803*z
    translate  <-20.120725, 1.446098, 1.191108>
  }
}
#declare brokenSphere = union {
  object { huelle3 }
  object { Spotlight013 }
  object { Light2 }
  object { tuer2 }
  object { boden2 }
  object { // Spotlight014->Spotlight013
    Spotlight013
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight015->Spotlight013
    Spotlight013
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight016->Spotlight013
    Spotlight013
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight017->Spotlight013
    Spotlight013
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight018->Spotlight013
    Spotlight013
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  object { BezPtch001 }
  object { BezPtch002 }
  object { BezPtch003 }
  rotate -140.844803*z
  translate  <22.740226, -13.152516, 8.040068>
}
#declare huelle2 = difference {
  sphere { // huelleAussen3
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen3
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch2
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    RustySphere
  }
}
#declare CSG005 = difference {
  sphere { // huelleAussen4
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen4
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer1 = intersection {
  object { CSG005 }
  cylinder { // durchbruch3
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG035 = difference {
  cylinder { // balkon1
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <22.917293, 12.895159, -7.05>
      rotate 90.0*z
      translate  <-20.120725, 1.446098, 1.191108>
    }
  }
  cylinder { // poolDiff1
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <22.917293, 12.895159, -7.05>
      rotate 90.0*z
      translate  <-20.120725, 1.446098, 1.191108>
    }
  }
}
#declare boden1 = union {
  object { CSG035 }
  cylinder { // poolBoden1
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare IronSphere = union {
  object { huelle2 }
  object { tuer1 }
  object { boden1 }
  rotate -90.0*z
  translate  <-22.917293, -12.895159, 7.05>
}
union { // station
  object { Staender }
  object { SkeletonSphere }
  object { brokenSphere }
  object { IronSphere }
  translate  <20.120725, -1.446098, -1.191108>
}


#declare huelle4 = difference {
  sphere { // huelleAussen7
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen7
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  material {
    RustyFloor
  }
  scale 0.5
}
#declare Staender1 = union {
  object { huelle4 }
  cylinder { // uRuhr1
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <3.0, 3.0, 120.0>
    translate  -120.059387*z
  }
  cylinder { // lRohr3
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-122.110466, -9.999725, 38.103271>
    translate  <12.5, -21.650635, 15.0>
  }
  cylinder { // lRohr4
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-128.628632, 33.906128, 123.960754>
    translate  <12.5, 21.650635, 15.0>
  }
  cylinder { // lRohr5
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-180.0, 58.603104, 180.0>
    translate  <-25.0, -0.0, 15.0>
  }
  rotate -90.0*z
  translate  -15.0*z
}
#declare CSG015 = difference {
  cylinder { // balkon4
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-0.085446, -26.04156, -7.67>
      rotate -90.0*z
      translate  <-103.763034, -145.714781, 0.0>
      rotate 90.0*z
    }
  }
  cylinder { // poolDiff3
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-0.085446, -26.04156, -7.67>
      rotate -90.0*z
      translate  <-103.763034, -145.714781, 0.0>
      rotate 90.0*z
    }
  }
}
#declare boden3 = union {
  object { CSG015 }
  cylinder { // poolBoden3
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare huelle5 = difference {
  sphere { // huelleAussen8
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen8
    <0,0,0>,1
    scale <14.7, 14.7, 9.7>
    translate  2.0*z
  }
  rotate 0.0*x
  translate  <0.0, 0.0, 0.0>
}
#declare CSG016 = union {
  box { // Cube011
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 180.0>
    translate  9.0*z
  }
  box { // Cube012
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 150.0>
    translate  9.0*z
  }
  box { // Cube013
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 120.0>
    translate  9.0*z
  }
  box { // Cube014
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 90.0>
    translate  9.0*z
  }
  box { // Cube015
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 60.0>
    translate  9.0*z
  }
  box { // Cube016
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4269, 16.629332, 11.507201>
    rotate <180.0, 0.0, 30.0>
    translate  9.0*z
  }
  rotate 0.0*x
}
#declare CSG017 = intersection {
  object { huelle5 }
  object { CSG016 }
  material {
    RustySphere
  }
  rotate <-0.0, 0.0, -90.0>
}
#declare huelle17 = intersection {
  sphere { // huelleAussen9
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen9
    <0,0,0>,1
    scale <14.7, 14.7, 9.7>
    translate  2.0*z
  }
  box { // Cube017
    <-1, -1, -1>, <1, 1, 1>
    scale 16.0
    rotate -0.0*x
    translate  -18.760778*z
  }
  material {
    RustySphere
  }
  rotate <0.0, 0.0, -90.0>
}
#declare SkeletonSphere1 = union {
  object { Light5 }
  object { boden3 }
  object { CSG017 }
  object { huelle17 }
  rotate 90.0*z
  translate  <0.085446, 26.04156, 7.67>
}
#declare HgtFld002 = object { 
  height_field {
    tga "D:\ray\solaris\hf2.tga"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <21.666092, 21.580847, 8.322068>
  rotate <-0.500698, -181.101883, 47.734135>
  translate  <-6.021715, 8.675046, 4.011926>
}
#declare huelle6 = difference {
  sphere { // huelleAussen10
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen10
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch6
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  object { HgtFld002 }
  material {
    RustySphere
    // Transform to world space
    translate  <-22.542406, 13.321259, -8.040068>
    rotate 140.844803*z
    translate  <-103.763034, -145.714781, 0.0>
    rotate 90.0*z
  }
}
#declare CSG018 = difference {
  sphere { // huelleAussen11
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen11
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer3 = intersection {
  object { CSG018 }
  cylinder { // durchbruch7
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG019 = difference {
  cylinder { // balkon5
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-22.542406, 13.321259, -8.040068>
      rotate 140.844803*z
      translate  <-103.763034, -145.714781, 0.0>
      rotate 90.0*z
    }
  }
  cylinder { // poolDiff4
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-22.542406, 13.321259, -8.040068>
      rotate 140.844803*z
      translate  <-103.763034, -145.714781, 0.0>
      rotate 90.0*z
    }
  }
}
#declare boden4 = union {
  object { CSG019 }
  cylinder { // poolBoden4
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare BezPtch004 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate -32.993221*z
  translate  <-8.764089, 13.049805, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.542406, 13.321259, -8.040068>
    rotate 140.844803*z
    translate  <-103.763034, -145.714781, 0.0>
    rotate 90.0*z
  }
}
#declare BezPtch005 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate <-5.828491, 13.633774, -12.056412>
  translate  <-13.21678, 5.88216, -2.29008>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.542406, 13.321259, -8.040068>
    rotate 140.844803*z
    translate  <-103.763034, -145.714781, 0.0>
    rotate 90.0*z
  }
}
#declare BezPtch006 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <-0.596101, -0.518930, 0.938967>
    }
  }
  scale 0.534518
  rotate -51.22953*z
  translate  <-11.763647, 9.303596, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.542406, 13.321259, -8.040068>
    rotate 140.844803*z
    translate  <-103.763034, -145.714781, 0.0>
    rotate 90.0*z
  }
}
#declare brokenSphere1 = union {
  object { huelle6 }
  object { Light3 }
  object { tuer3 }
  object { boden4 }
  object { BezPtch004 }
  object { BezPtch005 }
  object { BezPtch006 }
  rotate -140.844803*z
  translate  <22.542406, -13.321259, 8.040068>
}
#declare huelle7 = difference {
  sphere { // huelleAussen12
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen12
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch8
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    RustySphere
  }
}
#declare CSG020 = difference {
  sphere { // huelleAussen13
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen13
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer4 = intersection {
  object { CSG020 }
  cylinder { // durchbruch9
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG036 = difference {
  cylinder { // balkon6
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <22.917293, 12.895159, -7.05>
      rotate 90.0*z
      translate  <-103.763034, -145.714781, 0.0>
      rotate 90.0*z
    }
  }
  cylinder { // poolDiff5
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <22.917293, 12.895159, -7.05>
      rotate 90.0*z
      translate  <-103.763034, -145.714781, 0.0>
      rotate 90.0*z
    }
  }
}
#declare boden5 = union {
  object { CSG036 }
  cylinder { // poolBoden5
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare IronSphere1 = union {
  object { huelle7 }
  object { tuer4 }
  object { boden5 }
  rotate -90.0*z
  translate  <-22.917293, -12.895159, 7.05>
}
union { // station1
  object { Staender1 }
  object { SkeletonSphere1 }
  object { brokenSphere1 }
  object { IronSphere1 }
  rotate -90.0*z
  translate  <103.763034, 145.714781, 0.0>
}


#declare huelle18 = difference {
  sphere { // huelleAussen28
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen28
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  material {
    RustyFloor
  }
  scale 0.5
}
#declare Staender4 = union {
  object { huelle18 }
  cylinder { // uRuhr4
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <3.0, 3.0, 120.0>
    translate  -120.059387*z
  }
  cylinder { // lRohr12
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-122.110466, -9.999725, 38.103271>
    translate  <12.5, -21.650635, 15.0>
  }
  cylinder { // lRohr13
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-128.628632, 33.906128, 123.960754>
    translate  <12.5, 21.650635, 15.0>
  }
  cylinder { // lRohr14
    <0,0,1>, <0,0,0>, 1 
    material {
      RustyFloor
    }
    scale <1.0, 1.0, 30.0>
    rotate <-180.0, 58.603104, 180.0>
    translate  <-25.0, -0.0, 15.0>
  }
  rotate -90.0*z
  translate  -15.0*z
}
#declare huelle19 = difference {
  sphere { // huelleAussen29
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen29
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch24
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    RustySphere
  }
}
#declare CSG037 = difference {
  sphere { // huelleAussen30
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen30
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer12 = intersection {
  object { CSG037 }
  cylinder { // durchbruch25
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG038 = difference {
  cylinder { // balkon13
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <25.447693, 13.862802, -7.04606>
      rotate -90.0*z
      translate  <465.51731, -1516.450635, 0.0>
    }
  }
  cylinder { // poolDiff12
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <25.447693, 13.862802, -7.04606>
      rotate -90.0*z
      translate  <465.51731, -1516.450635, 0.0>
    }
  }
}
#declare boden12 = union {
  object { CSG038 }
  cylinder { // poolBoden12
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare IronSphere8 = union {
  object { huelle19 }
  object { Spotlight074 }
  object { Light14 }
  object { tuer12 }
  object { boden12 }
  object { // Spotlight075->Spotlight074
    Spotlight074
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight076->Spotlight074
    Spotlight074
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight077->Spotlight074
    Spotlight074
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight078->Spotlight074
    Spotlight074
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight079->Spotlight074
    Spotlight074
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  rotate 90.0*z
  translate  <-25.447693, -13.862802, 7.04606>
}
#declare HgtFld006 = object { 
  height_field {
    tga "D:\ray\solaris\hf2.tga"
    water_level 0.0
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <10.524221, 10.058585, 8.435684>
  rotate <-10.982332, -88.808105, 73.768188>
  translate  <10.381238, 2.648022, 6.489938>
}
#declare huelle20 = difference {
  sphere { // huelleAussen31
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen31
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch26
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  object { HgtFld006 }
  material {
    RustySphere
    // Transform to world space
    translate  <-22.891419, 15.937612, -8.040068>
    rotate 140.844803*z
    translate  <465.51731, -1516.450635, 0.0>
  }
}
#declare CSG039 = difference {
  sphere { // huelleAussen32
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen32
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer13 = intersection {
  object { CSG039 }
  cylinder { // durchbruch27
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG040 = difference {
  cylinder { // balkon14
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-22.891419, 15.937612, -8.040068>
      rotate 140.844803*z
      translate  <465.51731, -1516.450635, 0.0>
    }
  }
  cylinder { // poolDiff13
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <-22.891419, 15.937612, -8.040068>
      rotate 140.844803*z
      translate  <465.51731, -1516.450635, 0.0>
    }
  }
}
#declare boden13 = union {
  object { CSG040 }
  cylinder { // poolBoden13
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare BezPtch016 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate -32.993221*z
  translate  <9.140972, 12.711507, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.891419, 15.937612, -8.040068>
    rotate 140.844803*z
    translate  <465.51731, -1516.450635, 0.0>
  }
}
#declare BezPtch017 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <2.295708, 1.277497, 0.938967>
    }
  }
  rotate <-5.828491, 13.633774, -12.056412>
  translate  <8.642027, 4.445473, -2.29008>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.891419, 15.937612, -8.040068>
    rotate 140.844803*z
    translate  <465.51731, -1516.450635, 0.0>
  }
}
#declare BezPtch018 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-2.744860, -2.262892, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <0.693293, -1.211325, 0.000000>, 
      <-2.000000, -1.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <0.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, 
      <-2.000000, 0.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <-1.751713, 0.561847, 0.000000>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.500782>, <-0.596101, -0.518930, 0.938967>
    }
  }
  scale 0.534518
  rotate -51.22953*z
  translate  <12.536632, 10.120994, -2.470711>
  material {
    RustyPlane
    // Transform to world space
    translate  <-22.891419, 15.937612, -8.040068>
    rotate 140.844803*z
    translate  <465.51731, -1516.450635, 0.0>
  }
}
#declare brokenSphere4 = union {
  object { huelle20 }
  object { Spotlight080 }
  object { Light15 }
  object { tuer13 }
  object { boden13 }
  object { // Spotlight081->Spotlight080
    Spotlight080
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight082->Spotlight080
    Spotlight080
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight083->Spotlight080
    Spotlight080
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight084->Spotlight080
    Spotlight080
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight085->Spotlight080
    Spotlight080
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  object { BezPtch016 }
  object { BezPtch017 }
  object { BezPtch018 }
  rotate -140.844803*z
  translate  <22.891419, -15.937612, 8.040068>
}
#declare huelle21 = difference {
  sphere { // huelleAussen33
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen33
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
  cylinder { // durchbruch28
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, -180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    RustySphere
  }
}
#declare CSG041 = difference {
  sphere { // huelleAussen34
    <0,0,0>,1
    scale <15.0, 15.0, 10.0>
    translate  2.0*z
  }
  sphere { // huelleInnen34
    <0,0,0>,1
    scale <14.95, 14.95, 9.95>
    translate  2.0*z
  }
}
#declare tuer14 = intersection {
  object { CSG041 }
  cylinder { // durchbruch29
    <0,0,1>, <0,0,0>, 1 
    scale <-1.371585, -2.610145, -4.330725>
    rotate <90.0, 0.0, 180.0>
    translate  <-0.004239, 15.475201, -0.629957>
  }
  material {
    S_Glass
  }
}
#declare CSG042 = difference {
  cylinder { // balkon15
    <0,0,1>, <0,0,0>, 1 
    scale <17.0, 17.0, 1.0>
    translate  -3.5*z
    material {
      RustyFloor
      // Transform to world space
      translate  <1.0, -31.711402, -7.669728>
      rotate 90.0*z
      translate  <465.51731, -1516.450635, 0.0>
    }
  }
  cylinder { // poolDiff14
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 10.0, 1.0>
    rotate 2.6*z
    translate  -3.476265*z
    material {
      RustyFloor
      // Transform to world space
      translate  <1.0, -31.711402, -7.669728>
      rotate 90.0*z
      translate  <465.51731, -1516.450635, 0.0>
    }
  }
}
#declare boden14 = union {
  object { CSG042 }
  cylinder { // poolBoden14
    <0,0,1>, <0,0,0>, 1 
    material {
      ocean_color
    }
    scale <10.0, 10.0, 0.047325>
    rotate 2.6*z
    translate  -3.405495*z
  }
}
#declare IronSphere9 = union {
  object { huelle21 }
  object { Spotlight086 }
  object { Light16 }
  object { tuer14 }
  object { boden14 }
  object { // Spotlight087->Spotlight086
    Spotlight086
    rotate <-0.0, -0.0, -60.0>
    translate  <0.0, -0.0, -0.0>
  }
  object { // Spotlight088->Spotlight086
    Spotlight086
    rotate <-0.0, -0.0, -120.0>
    translate  -0.0*z
  }
  object { // Spotlight089->Spotlight086
    Spotlight086
    rotate <-0.0, -0.0, 180.0>
    translate  <-0.0, 0.0, -0.0>
  }
  object { // Spotlight090->Spotlight086
    Spotlight086
    rotate <-0.0, -0.0, 119.999992>
    translate  <0.0, -0.000001, -0.0>
  }
  object { // Spotlight091->Spotlight086
    Spotlight086
    rotate <-0.0, -0.0, 59.999992>
    translate  <-0.000001, -0.000001, -0.0>
  }
  rotate -90.0*z
  translate  <-1.0, 31.711402, 7.669728>
}
union { // station4
  object { Staender4 }
  object { IronSphere8 }
  object { brokenSphere4 }
  object { IronSphere9 }
  translate  <-465.51731, 1516.450635, 0.0>
}


